# Uses of Enum
org.apache.sling.discovery.base.commons.UndefinedClusterViewException.Reason

Packages that use UndefinedClusterViewException.Reason
Package
Description
org.apache.sling.discovery.base.commons
Provides some common classes for discovery implementors that choose to extend from discovery.base

## Uses of UndefinedClusterViewException.Reason in org.apache.sling.discovery.base.commons

Methods in org.apache.sling.discovery.base.commons that return UndefinedClusterViewException.Reason
Modifier and Type
Method
Description
`UndefinedClusterViewException.Reason`
UndefinedClusterViewException.`getReason()`
`static UndefinedClusterViewException.Reason`
UndefinedClusterViewException.Reason.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static UndefinedClusterViewException.Reason[]`
UndefinedClusterViewException.Reason.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.apache.sling.discovery.base.commons with parameters of type UndefinedClusterViewException.Reason
Modifier
Constructor
Description
``
`UndefinedClusterViewException(UndefinedClusterViewException.Reason reason)`
``
`UndefinedClusterViewException(UndefinedClusterViewException.Reason reason, String msg)`